Bug 669708 - poco-devel
Summary: poco-devel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: poco
Version: el6
Hardware: Unspecified
OS: Linux
low
low
Target Milestone: ---
Assignee: Matěj Cepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-14 13:55 UTC by Stuart Campbell
Modified: 2018-04-11 12:24 UTC (History)
3 users (show)

Fixed In Version: poco-1.3.5-9.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 17:25:04 UTC


Attachments (Terms of Use)

Description Stuart Campbell 2011-01-14 13:55:31 UTC
Description of problem:

If you write a program that uses /usr/include/Poco/XML/ParserEngine.h then it will not compile if you haven't already installed expat-devel.  This is because expat.h is included in ParserEngine.h.

I suspect that it just needs a dependency on the RPM so it pulls in expat-devel when you install Poco-devel.

Comment 1 Matěj Cepl 2011-01-23 23:17:46 UTC
Wasn

Comment 2 Fedora Update System 2011-01-24 00:03:29 UTC
poco-1.3.5-9.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/poco-1.3.5-9.el5

Comment 3 Fedora Update System 2011-01-24 00:05:20 UTC
poco-1.3.5-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/poco-1.3.5-9.el6

Comment 4 Fedora Update System 2011-01-24 18:03:04 UTC
poco-1.3.5-9.el6 has been pushed to the Fedora EPEL 6 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update poco'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/poco-1.3.5-9.el6

Comment 5 Fedora Update System 2011-03-14 17:24:58 UTC
poco-1.3.5-9.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-03-14 17:27:40 UTC
poco-1.3.5-9.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.